%define oname   launchy

Name:       ruby-%{oname}
Version:    2.1.2
Release:    %mkrel 3
Summary:    Helper class for launching cross-platform applications
Group:      Development/Ruby
License:    ISC License
URL:        http://copiousfreetime.rubyforge.org/launchy/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Launchy is helper class for launching cross-platform applications in a
fire and forget manner.
There are application concepts (browser, email client, etc) that are
common across all platforms, and they may be launched differently on
each platform.  Launchy is here to make a common approach to launching
external application from within ruby programs.

%files
%{_bindir}/launchy
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/HISTORY.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.1.2-3.mga3
+ Revision: 396121
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.1.2-2.mga3
+ Revision: 381089
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.1.2-1.mga3
+ Revision: 313115
- new version 2.1.2

* Sun Feb 06 2011 shikamaru <shikamaru> 0.3.7-3.mga1
+ Revision: 47826
- Add check section
- add patch for rspec2
- bump release

* Thu Feb 03 2011 shikamaru <shikamaru> 0.3.7-2.mga1
+ Revision: 46651
- imported package ruby-launchy

